:root {
  --color-black: #262626;
  --color-darkGrey: #414141;
  --color-grey: #9a9da1;
  --color-lightGrey: #ebeef2;
  --color-borderGrey: #ced0d3;
  --color-primary: #23295e;
  --color-secondary: #29abe2;
  --color-lightBlue: #effaff;
  --color-green: #228141;
}

/* ==========================================================================
   Global
   ========================================================================== */

.color-primary {
  color: var(--color-primary);
}

.color-secondary {
  color: var(--color-secondary);
}

/* custom button icon */
a.uk-button {
  transition: all 0.3s ease;
}

a.uk-button:hover .btn-arrow-right {
  background-position: 2px 50%;
}

.btn-arrow-right {
  background-repeat: no-repeat;
  background-size: 16px 16px;
  background-position: 0px 50%;
  padding-left: 18px;
  margin-left: 10px;
  transition: all 0.3s ease;
}

.uk-button-default {
  outline: 4px solid rgba(255, 255, 255, 0.5) !important;
}

.uk-button-secondary {
  outline: 4px solid rgba(41, 171, 226, 0.5) !important;
}

.btn-arrow-right--primary {
  background-image: url(/images/arrow-right-blue.svg);
}

.btn-arrow-right .btn-arrow-right--primary:hover {
  background-image: url(/images/arrow-right.svg) !important;
}

.btn-arrow-right--secondary {
  background-image: url(/images/arrow-right.svg);
}

.btn-phone {
  background-repeat: no-repeat;
  background-size: 16px 16px;
  background-position: 0px 50%;
  padding-right: 18px;
  margin-right: 10px;
  transition: all 0.3s ease;
}

.btn-phone--primary {
  background-image: url(/images/phone-blue.svg);
}

.btn-phone--secondary {
  background-image: url(/images/phone.svg);
}

.footer {
  background-color: var(--color-black);
}

.footer .footer-nav .el-title {
  text-transform: uppercase;
  font-weight: 600;
  letter-spacing: 2px;
  font-size: 14px !important;
}

/* Navbar icon colour */
.uk-navbar-parent-icon,
.uk-nav-parent-icon {
  color: var(--color-secondary) !important;
}

.uk-navbar-nav {
  margin-left: 50px;
}

/* Repeating wave pattern background */
.wave-bg {
  position: relative;
  background-image: url("pattern-wave.svg");
  background-repeat: repeat;
  background-size: auto;
  overflow: hidden;
}

/* White → transparent overlay fading to the right */
.wave-bg::before {
  content: "";
  position: absolute;
  inset: 0;
  pointer-events: none;

  background: linear-gradient(
    to right,
    #ffffff 0%,
    rgba(255, 255, 255, 0) 100%
  );
}

/* ==========================================================================
   Home Page
   ========================================================================== */

/* HERO SECTION START */
.hero-mobile {
  display: none;
}

.home-intro-grid .el-item img {
  margin-top: -10px !important;
  margin-left: -6px !important;
}

.row-call-us-banner {
  margin-top: 140px;
}

.row-call-us-banner .uk-tile {
  padding-bottom: 0;
  background-size: 41vw 100%;
}
.testimonial-slider {
  margin-top: 10px;
}
.testimonial-slider .el-item .el-content {
  height: 100%;
  padding-bottom: 20px;
  border-bottom: 1px solid var(--color-borderGrey);
}
.hd-image-comparison {
  margin-left: 0 !important;
  margin-right: 0 !important;
}

.uk-slider-container {
  padding-bottom: 11px;
}
/*Adjust Responsive*/
/*large desktop*/
@media all and (min-width: 1200px) and (max-width: 1399px) {
  .uk-navbar-nav {
    margin-left: 80px;
    gap: 20px;
  }

  .hero-desktop h1 {
    font-size: 52px;
  }

  .hero-mobile {
    display: none;
  }

  .row-call-us-banner .uk-tile {
    padding-bottom: 0;
    background-size: 41vw 100%;
  }

  .row-call-us-banner .uk-tile .uk-container {
    padding-left: 0;
  }
}

/*small desktop*/
@media all and (min-width: 960px) and (max-width: 1199px) {
  .hero-desktop {
    display: none;
  }

  .hero-mobile {
    display: block;
  }

  .hero-mobile .uk-container {
    padding-bottom: 500px;
  }

  .home-cta .uk-container {
    padding-bottom: 300px;
  }

  .uk-background-bottom-center {
    background-position: 50% 80%;
  }
}

/*ipad*/
@media all and (min-width: 640px) and (max-width: 959px) {
  .home-intro-grid .el-item img {
    margin-left: -10px !important;
    margin-top: 0 !important;
  }

  .button--longtext a.uk-button,
  .uk-button--longtext a {
    line-height: 20px;
    padding-top: 10px;
    padding-bottom: 10px;
  }

  .hero-desktop {
    display: none;
  }

  .hero-mobile {
    display: block;
  }

  .hero-mobile .uk-container {
    padding-bottom: 500px;
  }

  .home-cta .uk-container {
    padding-bottom: 250px;
  }
}

/*mobile*/
@media (max-width: 639px) {
  .home-intro-grid .el-item img {
    margin-left: 10px !important;
    margin-top: 0 !important;
  }

  .button--longtext a.uk-button,
  .uk-button--longtext a {
    line-height: 20px;
    padding-top: 10px;
    padding-bottom: 10px;
  }

  .hero-desktop {
    display: none;
  }

  .hero-mobile {
    display: block;
  }

  .hero-mobile .uk-container {
    padding-bottom: 500px;
  }

  .home-cta .uk-container {
    padding-bottom: 150px;
  }
  .contact-form {
    padding: 0 6px !important;
  }
}

/* ==========================================================================
	Sitemap
   ========================================================================== */

.treeview a {
  color: var(--color-black);
}

.treeview a.selected {
  background-color: transparent;
  text-decoration: none;
  font-size: 16px;
}

.treeview .hover {
  color: var(--color-primary);
}

/* ==========================================================================
	Cookie Popup
   ========================================================================== */

body .cky-revisit-bottom-right {
  background-color: var(--color-secondary) !important;
}

body .cky-btn-accept,
body .cky-btn-preferences,
body .cky-btn-reject {
  background: var(--color-primary) !important;
  color: #fff;
  border: 2px solid var(--color-primary) !important;
}

body .cky-btn-customize {
  border: 2px solid var(--color-primary) !important;
  color: var(--color-primary) !important;
}
